%define configfile /etc/pine.conf
#
Summary: makes it so that when a users sends mail, it has @fnal.gov appended
Name: zz_alpine_user_domain
Version: 1.0
Release: 3
License: GPL
Group: Fermi
URL: http://www.fnal.gov/cd/UNIX/linux/
Vendor: Fermilab
Packager: Troy Dawson
Requires: alpine
BuildArch: noarch
Obsoletes: zz_pine_user_domain

%description

By default when a user sends mail from alpine thier email address is
myname@mycomputer.fnal.gov.  This rpm changes it so that the default
is myname@fnal.gov.

%files

%postun
if [ "$1" = "0" ] ; then
	#
	# This modifies %{configfile} to remove fnal.gov from the user-domain
	#
	sed -i -e 's:^user-domain=fnal.gov$:user-domain=:'  %{configfile}
fi

%triggerin -- alpine
#
# This modifies %{configfile} to add fnal.gov to the user-domain
#
sed -i -e 's:^user-domain=$:user-domain=fnal.gov:'  %{configfile}

%changelog
* Thu Apr 28 2011 Troy Dawson (dawson@fnal.gov) 1.0-3
- First round - Changed everything over from zz_pine_user_domain
- changed the sed's to the more compact way of doing things.
